using Edge.Core.Domain.FccMachineInfo.Input;
using Edge.Core.Domain.FccMachineInfo.Output;

namespace FccLite.Web.Services.FccMachineInfo
{
    public interface IMachineService
    {
        Task<List<MachineInfoOutput>> GetMachineInfo(long stationId);

        Task<SetMachineInfoOutput> UploadMachine(UploadMachineInfo uploadMachineInfo);

        Task<SetMachineInfoOutput> DeleteMachine(long machineId);
    }
}
